loci.formats.tiff

## Class TiffIFDEntry

- java.lang.Object
- - loci.formats.tiff.TiffIFDEntry

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.Object>

      public class TiffIFDEntry
      extends java.lang.Object
      implements java.lang.Comparable<java.lang.Object>

  This class represents a single raw TIFF IFD entry. It does not retrieve or store the values from the entry's specific offset and is based on the TIFF 6.0 specification of an IFD entry.
  Author:
    Chris Allan callan at blackcat.ca

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `tag` The Tag that identifies the field.
    `private IFDType` | `type` The field Type.
    `private int` | `valueCount` The number of values, Count of the indicated Type.
    `private long` | `valueOffset` The Value Offset, the file offset (in bytes) of the Value for the field.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiffIFDEntry(int tag, IFDType type, int valueCount, long valueOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `int` | `getTag()` Retrieves the entry's Tag value.
    `IFDType` | `getType()` Retrieves the entry's Type value.
    `int` | `getValueCount()` Retrieves the entry's ValueCount value.
    `long` | `getValueOffset()` Retrieves the entry's ValueOffset value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          private int tag

      The Tag that identifies the field.

    - #### type

          private IFDType type

      The field Type.

    - #### valueCount

          private int valueCount

      The number of values, Count of the indicated Type.

    - #### valueOffset

          private long valueOffset

      The Value Offset, the file offset (in bytes) of the Value for the field.

  - ### Constructor Detail

    - #### TiffIFDEntry

          public TiffIFDEntry(int tag,
                              IFDType type,
                              int valueCount,
                              long valueOffset)

  - ### Method Detail

    - #### getTag

          public int getTag()

      Retrieves the entry's Tag value.
      Returns:
        the entry's Tag value.

    - #### getType

          public IFDType getType()

      Retrieves the entry's Type value.
      Returns:
        the entry's Type value.

    - #### getValueCount

          public int getValueCount()

      Retrieves the entry's ValueCount value.
      Returns:
        the entry's ValueCount value.

    - #### getValueOffset

          public long getValueOffset()

      Retrieves the entry's ValueOffset value.
      Returns:
        the entry's ValueOffset value.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.Object>`

Copyright © 2026 Open Microscopy Environment